* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, sans-serif;
}
a{
    text-decoration: none;
}
body {
    background: #0B0E19;
    color: #f9fafb;
}

/* ===== NAVBAR ===== */
nav {
    background: #121826;
    border-bottom: 1px solid #1f2937;
    padding: 18px 40px;
    position: sticky; /* Делает элемент "липким" */
    top: 0;           /* Прижимает к самому верху экрана */
    z-index: 1000;    /* Чтобы меню было поверх остальных элементов */
}

/* Container */
.nav-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
}

/* Logo */
.logo {
    font-size: 20px;
    font-weight: bold;
    color: #4E80EE;
}
.sitename{
    font-size: x-large;
    font-weight: 800;
    color: #4E80EE;
}
/* ===== MENU DESKTOP ===== */
.nav-links {
    list-style: none;
    display: flex;
    gap: 40px;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}

.nav-links a {
    text-decoration: none;
    color: #f9fafb;
    transition: 0.3s;
    padding-bottom: 5px;
}

.nav-links a:hover {
    border-bottom: 2px solid #1f2937;
    color: #4E80EE;
}

.nav-links a.active {
    border-bottom: 2px solid #1f2937;
    color: #4E80EE;
}

/* ===== BURGER ===== */
.burger {
    display: none;
    cursor: pointer;
    width: 28px;
    height: 20px;
    position: relative;
}

.burger span {
    position: absolute;
    height: 2px;
    width: 100%;
    background: #f9fafb;
    transition: 0.4s;
}

.burger span:nth-child(1) { top: 0; }
.burger span:nth-child(2) { top: 9px; }
.burger span:nth-child(3) { top: 18px; }

/* Animation X */
.burger.active span:nth-child(1) {
    transform: rotate(45deg);
    top: 9px;
}

.burger.active span:nth-child(2) {
    opacity: 0;
}

.burger.active span:nth-child(3) {
    transform: rotate(-45deg);
    top: 9px;
}
.text{
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-self: center;
    align-items: center;
    margin: 10vh auto;
    width: 70%;
}
.contacter{
    font-size: 4rem;
    margin-bottom: 20px;
}
.info{
    font-size: 1.3rem;
    color: #b2b2b3;
}
.wrapper {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 50px;
    max-width: 1200px;
    margin: 20px auto;
    align-items: stretch;
}
.left-column {
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 25px;
}
.right-column {
    display: flex;
    flex-direction: column;
    gap: 50px;
    height: 100%;
}

.right-column .container:first-child {
  flex: 3;   /* больше */
}

.right-column .container:last-child {
  flex: 1;   /* меньше */
}
.container {
    background: #1B1F33;
    padding: 40px;
    border-radius: 15px;
}

h2 {
    font-size: 1.4rem;
}

label {
    display: block;
    margin-bottom: 8px;
    font-size: 1rem;
    color: #cbd5e1;
}

input, select, textarea {
    width: 100%;
    padding: 12px;
    border-radius: 8px;
    border: none;
    outline: none;
    background: black;
    color: #fff;
    font-size: 0.9rem;
}

textarea {
    resize: none;
    min-height: 15vh;
    max-height: 15vh;
}

select {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}
/* AJOUT ARROW IN SELECT*/
select {
    padding: 12px 45px 12px 12px;

    background: black
        url("data:image/svg+xml;utf8,<svg fill='white' height='20' viewBox='0 0 20 20' width='20' xmlns='http://www.w3.org/2000/svg'><path d='M5 7l5 5 5-5z'/></svg>")
        no-repeat right 15px center;

    background-size: 16px;
}
select:invalid {
    color: #757575;
}

select option {
    color: #fff;
    
}

button {
    margin-top: 10px;
    width: 100%;
    padding: 14px;
    border: none;
    border-radius: 8px;
    background: #4E80EE;
    color: #fff;
    font-size: 1rem;
    cursor: pointer;
    transition: 0.3s;
}

button:hover {
    background-color: #2162ef;
}

/* Contact blocks */
.contact-item {
    display: flex;
    align-items: flex-start;
    margin-bottom: 30px;
}

.icon {
    width: 55px;
    height: 55px;
    background: #4E80EE;
    border-radius: 10px;
    margin-right: 15px;
}
.cotact-info{
    height: 120px;
}
.contact-item p {
    font-size: 14px;
    color: #cbd5e1;
}

.contact-item strong {
    display: block;
    font-size: 16px;
    color: #fff;
}
.second-block-titre{
    margin-bottom: 30px;
}
.second-info{
    line-height: 1.7rem;
}
.second-info p{
    font-size: 1rem;
    color: #b2b2b3;
}
.tel{
    font-size: 1.1rem;
    color: #4E80EE;
    text-decoration: none;
}
.tel:hover{
    text-decoration: underline;
}
.localisation{
    padding-bottom: 0 !important;
    margin-bottom: 0 !important;
}
/* Opening hours */
.hours-item {
    display: flex;
    justify-content: space-between;
    margin-bottom: 10px;
    color: #cbd5e1;
}

.hours-item strong {
    color: #fff;
}
.horaires{
    margin-bottom: 3vh;
}

.envoyer{
    display: flex;
    gap: 10px;
    align-items: center;
    align-content: center;
    justify-content: center;
}



/* =======  FOOTER  ========*/
.footer {
    margin-top: 25vh;
    background: linear-gradient(180deg, #0c1b2e 0%, #071426 100%);
    color: #a8b3c2;
    padding: 60px 80px 30px;

}

.footer-container {
    display: flex;
    justify-content: space-between;
    gap: 40px;
    flex-wrap: wrap;
}

.footer-col {
    flex: 1;
    min-width: 220px;
}

.logotype {
    color: #4E80EE;
    font-size: 28px;
    margin-bottom: 20px;
}

.footer h3 {
    color: #ffffff;
    font-size: 22px;
    margin-bottom: 20px;
}

.footer p {
    margin: 8px 0;
    line-height: 1.6;
}

.phone {
    color: #4E80EE;
    text-decoration: none;
    font-size: 20px;
}

.phone:hover {
    text-decoration: underline;
}

.footer-divider {
    height: 1px;
    background: rgba(255, 255, 255, 0.1);
    margin: 50px 0 30px;
}

.footer-bottom {
    text-align: center;
    color: #7c8aa0;
    font-size: 16px;
}

/* ===== MOBILE ===== */
@media (max-width: 768px) {

.nav-links {
    position: fixed;
    top: 0;
    right: -100%;
    height: 100vh;
    width: 260px;
    background: #121826;
    border-left: 1px solid #1f2937;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 40px;
    transition: 0.4s ease;
    transform: none;
    left: auto;
}

.nav-links.active {
    right: 0;
}

.burger {
    display: block;
}
.wrapper {
    grid-template-columns: 1fr;
    width: 95%;
}
.text{
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-self: center;
    align-self: center;
    align-items: center;
    justify-content: center;
    margin: 40px auto;
    max-width: 600px;
    width: 90%;
    padding: 0 10px;
}
.contacter{
    font-size: clamp(1.8rem, 5vw, 2.5rem);
    margin-bottom: 20px;
}
.info{
    font-size: 1.1rem;
    color: #b2b2b3;
}


.footer {
    margin-top: 15vh;
    color: #a8b3c2;
    padding: 20px;

}

.footer-container {
    display: flex;
    justify-content: space-between;
    gap: 20px;
    flex-wrap: wrap;
}




.phone {
    font-size: 1.1rem;
}


.footer-divider {
    height: 1px;
    background: rgba(255, 255, 255, 0.1);
    margin: 30px 0 30px;
}

.footer-bottom {
    text-align: center;
}
}